aboutsummaryrefslogtreecommitdiff
path: root/plugins/tpm/tests/expect_successful_multiple_plugins_download
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/tpm/tests/expect_successful_multiple_plugins_download')
-rwxr-xr-xplugins/tpm/tests/expect_successful_multiple_plugins_download44
1 files changed, 44 insertions, 0 deletions
diff --git a/plugins/tpm/tests/expect_successful_multiple_plugins_download b/plugins/tpm/tests/expect_successful_multiple_plugins_download
new file mode 100755
index 0000000..cc87a26
--- /dev/null
+++ b/plugins/tpm/tests/expect_successful_multiple_plugins_download
@@ -0,0 +1,44 @@
+#!/usr/bin/env expect
+
+# disables script output
+log_user 0
+
+spawn tmux
+
+# Waiting for tmux to attach. If this is not done, next command, `send` will
+# not work properly.
+sleep 1
+
+# this is tmux prefix + I
+send "I"
+
+# cloning might take a while
+set timeout 15
+
+expect_after {
+ timeout { exit 1 }
+}
+
+expect {
+ "Installing \"tmux-example-plugin\""
+}
+
+expect {
+ "\"tmux-example-plugin\" download success"
+}
+
+expect {
+ "Installing \"tmux-copycat\""
+}
+
+expect {
+ "\"tmux-copycat\" download success"
+}
+
+expect {
+ "Done, press ENTER to continue." {
+ exit 0
+ }
+}
+
+exit 1